Opened 6 years ago

Closed 5 years ago

#10679 closed defect (fixed)

"make match" fails to validate sha256 checksums

Reported by: kpdyer Owned by: kpdyer
Priority: Medium Milestone:
Component: Circumvention/Pluggable transport Version:
Severity: Keywords:
Cc: asn, mikeperry, dcf, infinity0 Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Upon successful completion of building the 3.6-beta branch of [1], "make match" fails to correctly validate binary packages.

$ make match
./check-match.sh versions
--2014-01-18 10:56:58--  https://people.torproject.org/~linus/builds/3.5.1/sha256sums.txt
Resolving people.torproject.org (people.torproject.org)... 2620:0:6b0:b:1a1a:0:26e5:4818, 38.229.72.24
Connecting to people.torproject.org (people.torproject.org)|2620:0:6b0:b:1a1a:0:26e5:4818|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 6072 (5.9K) [text/plain]
Saving to: `sha256sums.txt'

100%[============================================================>] 6,072       --.-K/s   in 0.007s  

2014-01-18 10:56:59 (891 KB/s) - `sha256sums.txt' saved [6072/6072]

--2014-01-18 10:56:59--  https://people.torproject.org/~linus/builds/3.5.1/sha256sums.txt.asc
Resolving people.torproject.org (people.torproject.org)... 2620:0:6b0:b:1a1a:0:26e5:4818, 38.229.72.24
Connecting to people.torproject.org (people.torproject.org)|2620:0:6b0:b:1a1a:0:26e5:4818|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 836 [text/plain]
Saving to: `sha256sums.txt.asc'

100%[============================================================>] 836         --.-K/s   in 0s      

2014-01-18 10:56:59 (21.2 MB/s) - `sha256sums.txt.asc' saved [836/836]

gpg: keyring `/tmp/tmp.dbVtqBLbzn/secring.gpg' created
gpg: keyring `/tmp/tmp.dbVtqBLbzn/pubring.gpg' created
gpg: /tmp/tmp.dbVtqBLbzn/trustdb.gpg: trustdb created
gpg: key 23291265: public key "Linus Nordberg <linus@nordberg.se>" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
gpg: no ultimately trusted keys found
gpg: Signature made Fri 17 Jan 2014 02:21:48 AM PST using RSA key ID 23291265
gpg: Good signature from "Linus Nordberg <linus@nordberg.se>"
gpg:                 aka "Linus Nordberg <linus@nordu.net>"
gpg:                 aka "Linus Nordberg <linus@torproject.org>"
gpg:                 aka "[jpeg image of size 2906]"
gpg: WARNING: This key is not certified with a trusted signature!
gpg:          There is no indication that the signature belongs to the owner.
Primary key fingerprint: 8C4C D511 095E 982E B0EF  BFA2 1E8B F349 2329 1265
diff: ../sha256sums.txt: No such file or directory
make: *** [match] Error 1

[1] https://git.torproject.org/user/dcf/tor-browser-bundle.git

Child Tickets

Change History (6)

comment:1 Changed 6 years ago by kpdyer

Owner: changed from asn to kpdyer
Status: newassigned

comment:2 Changed 6 years ago by dcf

I think you need "make match-beta", not "make match": notice how it's trying to compare with something called 3.5.1, not 3.6-beta. But even match-beta is not likely to work because 3.6-beta isn't uploaded to the normal places. You could manually compare with https://people.torproject.org/~dcf/pt-bundle/3.6-beta-1-20140112/.

comment:3 Changed 6 years ago by kpdyer

$ make match-beta
./check-match.sh versions.beta
--2014-01-20 11:10:22--  https://people.torproject.org/~linus/builds/3.6-beta-1/sha256sums.txt
Resolving people.torproject.org (people.torproject.org)... 38.229.72.24, 2620:0:6b0:b:1a1a:0:26e5:4818
Connecting to people.torproject.org (people.torproject.org)|38.229.72.24|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2014-01-20 11:10:28 ERROR 404: Not Found.

--2014-01-20 11:10:28--  https://people.torproject.org/~mikeperry/builds/3.6-beta-1/sha256sums.txt
Resolving people.torproject.org (people.torproject.org)... 38.229.72.24, 2620:0:6b0:b:1a1a:0:26e5:4818
Connecting to people.torproject.org (people.torproject.org)|38.229.72.24|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2014-01-20 11:10:28 ERROR 404: Not Found.

--2014-01-20 11:10:28--  https://people.torproject.org/~erinn/builds/3.6-beta-1/sha256sums.txt
Resolving people.torproject.org (people.torproject.org)... 38.229.72.24, 2620:0:6b0:b:1a1a:0:26e5:4818
Connecting to people.torproject.org (people.torproject.org)|38.229.72.24|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2014-01-20 11:10:28 ERROR 404: Not Found.

--2014-01-20 11:10:28--  https://people.torproject.org/~gk/builds/3.6-beta-1/sha256sums.txt
Resolving people.torproject.org (people.torproject.org)... 38.229.72.24, 2620:0:6b0:b:1a1a:0:26e5:4818
Connecting to people.torproject.org (people.torproject.org)|38.229.72.24|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2014-01-20 11:10:29 ERROR 404: Not Found.

No bundle hashes or sigs published for 3.6-beta-1.

comment:4 Changed 6 years ago by dcf

Status: assignedneeds_information

Have you tried this again recently, kpdyer? Other people have now built the beta bundles, which wasn't the case before.

comment:5 Changed 5 years ago by kpdyer

Just kicked off a fresh build. Will let you know how it goes.

comment:6 Changed 5 years ago by kpdyer

Resolution: fixed
Status: needs_informationclosed

This is resolved for me.

Note: See TracTickets for help on using tickets.